Bug 979350 - Changes admin password in the first time when log in is failed while finished auto-install
Changes admin password in the first time when log in is failed while finished...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 3.5.0
Assigned To: Douglas Schilling Landgraf
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 05:48 EDT by wanghui
Modified: 2016-02-10 14:40 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 08:24:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 32306 None NEW ovirt.te: Enable local login after pass change (autoinstall) Never

  None (edit)
Description wanghui 2013-06-28 05:48:26 EDT
Description of problem:
After auto-install, it will request you to change the admin password in the first time when you log in. But it reports that authentication token manipulation error after you set the password in valid password.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-0.999.999.20130627023857git54b48f3.2632.fc18.iso
ovirt-node-3.0.0-1.0.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. Clean auto-install ovirt-node-iso-3.0.0-0.999.999.20130627023857git54b48f3.2632.fc18.iso with adminpw.  
2. Log in ovirt-node using admin.
3. Change the password with valid format as requested.

Actual results:
After step3, it reports that authentication token manipulation error after you set the password in valid password.

Expected results:
After step3, it can set the password as you set and log in successfully.

Additional info:
Comment 1 Sandro Bonazzola 2014-10-17 08:24:34 EDT
oVirt 3.5 has been released and should include the fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.